%define version    2.5
%define release    20160526
%define rhel_version 6

# this spec is only used for RHEL6.

%define byte_compiled_python 0

# define python macros for RHEL6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           redhat-certification-backend
Summary:        Red Hat Certification
Version:        %{version}
Release:        %{release}.el%{rhel_version}
Group:          Development/Tools
License:        GPL
URL:			http://redhat.com
Source0:        %{name}-%{version}-%{release}.tar.bz2
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	    noarch
Obsoletes: rhcert-client, ccp-client, redhat-certification
Provides: redhat-certification
Requires: dbus-python
Requires: python-lxml

# allow installs without WebUI
# Requires: python-django >= 1.6
Requires: httpd
Requires: mod_wsgi


# for container certifications
Requires: m2crypto, python-magic
# for client listener: ps
Requires: procps
BuildRequires: python2-devel

%description
Red Hat Certification runs certification tests for Red Hat products

%prep
%setup -q -c

%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT make RHCERT_RHEL_VERSION=%{rhel_version}

%install
DESTDIR=$RPM_BUILD_ROOT make RHCERT_RHEL_VERSION=%{rhel_version} install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre

%post
chcon -R system_u:object_r:httpd_sys_content_t:s0 /var/www/rhcert
chcon -R system_u:object_r:httpd_sys_rw_content_t:s0 /var/www/rhcert/store
chcon -R system_u:object_r:httpd_sys_script_exec_t:s0 /var/www/rhcert/wsgi
setsebool -P httpd_can_network_connect 1

%files
%defattr(-,root,root)
/usr/bin/rhcert-backend
/usr/bin/rhcertd
/usr/bin/rhcert-ci
%{?python2_sitelib}/rhcert/*.py*
%{?python2_sitelib}/rhcert/listener
%{?python2_sitelib}/rhcert/client
%{?python2_sitelib}/rhcert/suites/__init__.py*
%{?python2_sitelib}/rhcert/info/*.xml

# set to user apache for server/cgi serving
%attr(-, apache, apache) /var/www/rhcert
/etc/httpd/conf.d/rhcert.conf
/etc/httpd/conf.d/rhcert.pem
/etc/init.d/rhcert-backend
/etc/rhcert-default.xml

%changelog
* Thu May 26 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-439 rhcert-ci certify (local) results in traceback

* Wed May 25 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-438 RealTime machine can't be recognized by rhcert

* Tue May 24 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-458 OpenStack block storage cert created from rhcert can't set quota-set-extension
- RHCERT-457 Error while creating certification-other-application" from rhcert-2.5 UI"
- RHCERT-456 Unable to Open A RHOSP Management Application Certification from rhcert-2.5
- RHCERT-454 RHELOSP4,5 should be removed from cert creation

* Mon May 23 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-454 RHELOSP4,5 should be removed from cert creation
- RHCERT-453 RHOSP 9.0 certifications can not be created in rhcert 2.5
- RHCERT-453 RHOSP 9.0 certifications can not be created in rhcert 2.5

* Fri May 20 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-448 RHEL 7.0 certs are displayed as RHEL 7.2 in redhat-certification UI

* Thu May 19 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-444 rhcert is not parsing the certs for OSP6, RT, etc. correctly.
- RHCERT-443 Cert Creation dialog needs confirmation message

* Wed May 18 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-415 rhcertd command missing help, and crashes with bad or missing arguments
- RHCERT-396 rhcert-ci <command> --help is missing the --client option for some commands
- RHCERT-394 Local certifications should not offer Submit" and other actions."

* Tue May 17 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-434 No certs displayed in rhcert when product is  Red Hat Enterprise Linux Server for ARM""
- RHCERT-410 Enable Open A RHOSP Sahara Certification from rhcert WUI

* Mon May 16 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-410 Enable Open A RHOSP Sahara Certification from rhcert WUI
- RHCERT-410 Enable Open A RHOSP Sahara Certification from rhcert WUI
- RHCERT-410 Enable Open A RHOSP Sahara Certification from rhcert WUI

* Fri May 13 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-433 Open A RHEL Certification from rhcert WUI
- RHCERT-433 Open A RHEL Certification from rhcert WUI
- RHCERT-433 Open A RHEL Certification from rhcert WUI
- RHCERT-433 Open A RHEL Certification from rhcert WUI

* Thu May 12 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-433 Open A RHEL Certification from rhcert WUI

* Tue May 10 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-433 Open A RHEL Certification from rhcert WUI
- RHCERT-433 Open A RHEL Certification from rhcert WUI

* Mon May 09 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-433 Open A RHEL Certification from rhcert WUI
- RHCERT-416 Open Certifications via multi-step dialogs with CWE

* Fri May 06 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-416 Open Certifications via multi-step dialogs with CWE
- RHCERT-416 Open Certifications via multi-step dialogs with CWE
- RHCERT-416 Open Certifications via multi-step dialogs with CWE

* Wed May 04 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-431 BZ 1332654 Results file import produces redirect to 404

* Tue May 03 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-416 Open Certifications via multi-step dialogs with CWE

* Mon May 02 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-395 rhcert-2.5 May Release (new version)

* Thu Apr 14 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-378 Docker image and manifest file are not successfully uploaded to rhcert UI
- RHCERT-378 Docker image and manifest file are not successfully uploaded to rhcert UI
- RHCERT-397 progress tab is visible on local certifications for catalog products
- RHCERT-352 Meta-Data Update for RHEL 6.8

* Wed Apr 13 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-393 traceback on rhcert-backen submit
- RHCERT-393 traceback on rhcert-backen submit

* Tue Apr 12 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-390 redhat-certification-backend.el6 should require mod_wsgi
- RHCERT-391 rhcert-ci certify: submitted results missing on local server

* Mon Apr 11 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-384 Error while clicking on product created locally on server
- RHCERT-386 Remove" Button for Certifications is no longer valid"

* Fri Apr 08 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-381 Open Certification from Sandbox

* Thu Apr 07 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-216 rhcert container should provide test suites as a yum repo

* Tue Apr 05 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-216 rhcert container should provide test suites as a yum repo

* Mon Apr 04 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-366 	rhcert-ci support calling individual tests

* Wed Mar 30 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-356 Display test plan and progress downloaded from CWE for software programs
- RHCERT-356 Display test plan and progress downloaded from CWE for software programs

* Tue Mar 29 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-356 Display test plan and progress downloaded from CWE for software programs

* Wed Mar 23 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-375 Unable to add certification for open-stack product created on local server RHCERT-376 Creating local products should not require login

* Mon Mar 21 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-354 test plan download should be automatic on page load
- RHCERT-373 Name changed from RHELOSP8 to RHOSP8

* Thu Mar 17 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-368 Test Crashes should not kill the rhcert client daemon
- RHCERT-369 rhcert-ci submit unable to save job ID

* Tue Mar 15 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-364 Show validation reports in results file view
- RHCERT-360 Unable to create container CI sandbox in webUI

* Thu Mar 10 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-359 Product Page: replace Add Certification" button with "Syncronize" and "Create Local""
- RHCERT-356 Display test plan and progress downloaded from CWE for software programs

* Wed Mar 09 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-356 Display test plan and progress downloaded from CWE for software programs
- RHCERT-356 Display test plan and progress downloaded from CWE for software programs

* Fri Mar 04 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-353 Cert suite does not provide warning of 16 MB upload limit on results files
- RHCERT-353 Cert suite does not provide warning of 16 MB upload limit on results files

* Thu Mar 03 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-353 Cert suite does not provide warning of 16 MB upload limit on results files
- Version 2.4
- Version 2.4

* Tue Mar 01 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-349 rhcert-ci local/direct is broken

* Mon Feb 29 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-347 Attachments that are html should be viewed directly
- RHCERT-339 Paralell CI - Web UI for Sandboxes

* Fri Feb 26 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-339 Paralell CI - Web UI for Sandboxes

* Thu Feb 25 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-339 Paralell CI - Web UI for Sandboxes

* Wed Feb 24 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-339 Paralell CI - Web UI for Sandboxes
- RHCERT-339 Paralell CI - Web UI for Sandboxes
- RHCERT-339 Paralell CI - Web UI for Sandboxes
- RHCERT-339 Paralell CI - Web UI for Sandboxes
- RHCERT-339 Paralell CI - Web UI for Sandboxes
- RHCERT-309 rhcert-ci should allow the product key to be stored in a file, and passed as --key-file
- RHCERT-343 Error occurs when use rhcert-ci run""
- RHCERT-344 Run rhcert-ci without parameter will throw error
- RHCERT-340 No option to submit cloud/openstack test results through rhcert UI

* Tue Feb 23 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-339 Paralell CI - Web UI for Sandboxes

* Mon Feb 22 2016 Kun Yan <kyan@redhat.com>
- Modify for new catalog API name

* Thu Feb 18 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-339 Paralell CI - Web UI for Sandboxes

* Wed Feb 17 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-339 Paralell CI - Web UI for Sandboxes
- RHCERT-339 Paralell CI - Web UI for Sandboxes
- RHCERT-308 CI Remote Support

* Fri Feb 12 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-308 CI Remote Support

* Wed Feb 10 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-338 rhcert-backend submit container traceback - wrong number of arguments
- RHCERT-331 rhcert-ci support for parallel CI

* Mon Feb 08 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-331 rhcert-ci support for parallel CI

* Fri Feb 05 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-330 Web UI returns to Testing" page after results submtted"
- RHCERT-335 Certification Test page shows None" in the header when the test has not been run."

* Tue Feb 02 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-328 rhcert-ci submit container returns error"

* Fri Jan 29 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-327 Web UI For Containers should select either image or the pull URL

* Thu Jan 28 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-324 [Container] Can not submit container with rhcert UI
- RHCERT-326 WebUI Container image submission files: files not found

* Wed Jan 27 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-320 rhcert-ci traceback on container submit (rhcertci.py line 234)
- RHCERT-313 rhcert shows the test plan as Frozen, when it's Melted in CWE
- RHCERT-319 [Container] Unable to submit an image through rhcert UI
- RHCERT-318 Mandatory field of Base OS not present in openstack cert creation.

* Tue Jan 26 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-315 rhcert login should replace SSO vs BZ radio buttons with a single checkbox for hardware
- RHCERT-316 rhcert-ci submit/results should return review" results from CWE/CaaS as a failure"

* Fri Jan 22 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-310 rhcert gives response: []" error on Test Plan Download"
- RHCERT-311 Test Plan Component Assignment does not show test names

* Thu Jan 21 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-305     CI Support rhcert submit command needs to accept a product key (cloud, openstack)

* Wed Jan 20 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-304 CI Support: rhcert CLI needs a command to get a product key

* Tue Jan 19 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-106 FEAT: upload command for adding a downloaded file to a different server (sneakernet)`
- RHCERT-106 FEAT: upload command for adding a downloaded file to a different server (sneakernet)`

* Mon Jan 18 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-304 CI Support: rhcert CLI needs a command to get a product key

* Fri Jan 15 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-305 CI Support rhcert submit command needs to accept a product key

* Thu Jan 14 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-305 CI Support rhcert submit command needs to accept a product key
- RHCERT-305 CI Support rhcert submit command needs to accept a product key
- RHCERT-305 CI Support rhcert submit command needs to accept a product key
- RHCERT-302 CI Support: rhcert command to get validation results

* Tue Jan 12 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-306 Web UI needs to support docker pull url for container submission
- RHCERT-219 CI Support: container submit via docker pull URL
- RHCERT-304 CI Support: rhcert CLI needs a command to get a product key

* Mon Jan 11 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-301 ci example scripts
- CI Support: rhcert CLI needs a command to get a product token
- CI Support: rhcert CLI needs a command to get a product token
- RHCERT-302 CI Support: rhcert command to get validation resultsng
- RHCERT-302 CI Support: rhcert command to get validation results
- RHCERT-302 CI Support: rhcert command to get validation resultsng
- RHCERT-305 CI Support rhcert submit command needs to accept a product token
- RHCERT-305 CI Support rhcert submit command needs to accept a product token
- RHCERT-304 CI Support: rhcert CLI needs a command to get a product token

* Thu Jan 07 2016 Greg Nichols <gnichols@redhat.com>
- Begin Version 2.2 (RHCERT-301)
- RHCERT-303 unicode input to local products causes traceback

* Tue Jan 05 2016 Greg Nichols <gnichols@redhat.com>
- RHCERT-300 CWE missing node IDs for some certifications downloaded to rhcert

* Tue Dec 22 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-299 Dialog order should be configurable

* Mon Dec 21 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-218 rhcert should display comments and activity from CWE

* Thu Dec 17 2015 Greg Nichols <gnichols@redhat.com>
- 1292245 - daemon crashes with traceback after resume from suspend-to-disk

* Wed Dec 16 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-294 non-ascii data from CWE causes invalid XML document on Test Plan Download
- RHCERT-294 non-ascii data from CWE causes invalid XML document on Test Plan Download RHCERT-295 rhcert fails to fetch cert list for rhos7 saying Error: Your current account type is sso, but ecosystem openstack requires bz login.

* Tue Dec 15 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-294 non-ascii data from CWE causes invalid XML document on Test Plan Download

* Mon Dec 14 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-217 rhcert should download the test plan from CWE
- RHCERT-217 rhcert should download the test plan from CWE

* Fri Dec 11 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-217
- RHCERT-217

* Thu Dec 10 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-217
- RHCERT-217 rhcert should download the test plan from CWE
- RHCERT-217 rhcert should download the test plan from CWE

* Wed Dec 09 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-217
- RHCERT-217 rhcert should download the test plan from CWE
- RHCERT-217 rhcert should download the test plan from CWE
- RHCERT-217 rhcert should download the test plan from CWE

* Tue Dec 08 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-286 trying login after a failed login results in exception

* Fri Dec 04 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-118 Add register" option to the rhcert-backend command's help text"
- RHCERT-285 rhcert-backend CLI clean-up for unified certification

* Thu Dec 03 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-283 rhcert should not try to detect when a selected host is already assigned to a certification

* Wed Dec 02 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-284 rhcert is not able to load result file even if the size limit is increased

* Tue Nov 24 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-282 Continue" button on host results page results in traceback"
- RHCERT-282 Continue" button on host results page results in traceback"
- RHCERT-145 FEAT - save each test results as they are produced
- RHCERT-6 rhcert-backend clean all causes traceback to be displayed on LTS
-  RHCERT-231 Invalid error when user does not provide password

* Mon Nov 23 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-244 Client daemon/listener should be controlled via rhcertd on the SUT

* Thu Nov 19 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-244 Client daemon/listener should be controlled via rhcertd" on the SUT"
- RHCERT-247 rhcert having lxml issue for el6 rpms
- RHCERT-247 rhcert having lxml issue for el6 rpms

* Wed Nov 18 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-160 redhat-certification defines RHEL.major as RHEL7" regardless of OS version"

* Tue Nov 17 2015 Greg Nichols <gnichols@redhat.com>
- 1282658 - fv_network test fail - guest network test is incomplete

* Mon Nov 16 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-243 Error while uploading an image in rhcert UI
- RHCERT-244 Client daemon/listener should be controlled via rhcertd" on the SUT"
- RHCERT-236 Confusion between bug Ids and certIds for cloud certiification

* Tue Nov 10 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-241 Image is not encrypted while uploading through rhcert 2.0 UI

* Fri Nov 06 2015 Greg Nichols <gnichols@redhat.com>
- 1278497 - rhcert Web UI does not correctly identify RHEL version for Cloud certifications
- 1278497 - rhcert Web UI does not correctly identify RHEL version for Cloud certifications
- 1278497 - rhcert Web UI does not correctly identify RHEL version for Cloud certifications

* Wed Nov 04 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-233 RHCert don't report duplication docker image error for container cert throw from CWE
- 1277920 - Wrong entry for Red Hat Enterprise Linux Server for ARM Development Preview 7.2 in certificationIndex.xml

* Tue Nov 03 2015 Greg Nichols <gnichols@redhat.com>
- 1274121 - Error: could not detect reboot encountered when running kdump on rhel 7.2
- RHCERT-232 Rhcert 2.0 treats CWE cert id as Node id

* Fri Oct 30 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-217 rhcert should download the test plan from CWE
- RHCERT-217 rhcert should download the test plan from CWE

* Thu Oct 29 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-228 cloud certification should change to sso

* Wed Oct 28 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-218 rhcert should display comments and activity from CWE
- RHCERT-218 rhcert should display comments and activity from CWE
- RHCERT-226 Add Certification button not working for openstack and container certifications.

* Tue Oct 27 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-218 rhcert should display comments and activity from CWE
- RHCERT-217 rhcert should download the test plan from CWE

* Tue Oct 27 2015 Ben Rose <brose@redhat.com>
- 1262067 - update detection for ARM kernel versions (via uname)

* Fri Oct 23 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-217 rhcert should download the test plan from CWE

* Thu Oct 22 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-213 delete is needed products and certifications
- RHCERT-217 rhcert should download the test plan from CWE
- add account to CWE login

* Wed Oct 21 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-223 rhcert needs to implement a test plan ID attribute

* Tue Oct 20 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-217 rhcert should download the test plan from CWE starting
- RHCERT-217 rhcert should download the test plan from CWE

* Mon Oct 19 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-217 rhcert should download the test plan from CWE

* Fri Oct 16 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-200 rhcert should use sessions via CWE (sso) to avoid repeated logins
- RHCERT-200 rhcert should use sessions via CWE (sso) to avoid repeated logins
- RHCERT-200 rhcert should use sessions via CWE (sso) to avoid repeated logins

* Thu Oct 15 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-200 rhcert should use sessions via CWE (sso) to avoid repeated logins
- Bump version to 2.1

* Tue Oct 13 2015 Greg Nichols <gnichols@redhat.com>
- 1271313 - rhcert does not pass correct account type to CWE
- 1260192 - FEAT: Provide the ability to upload results files to the LTS that were obtained elsewhere

* Thu Oct 08 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-211 When adding a Host to a Cert, Status of the SUT shows only checking... state
- 1269900 - network and kdump tests fail when server and SUT have localhost hostnames

* Wed Oct 07 2015 Greg Nichols <gnichols@redhat.com>
- fix Dockerfile generation
- RHCERT-211 When adding a Host to a Cert, Status of the SUT shows only checking... state

* Tue Oct 06 2015 Greg Nichols <gnichols@redhat.com>
- 1269274 - Interactive links sometimes lack host connection parameter
- 1269173 - Results table links for tests with devices are not correct

* Wed Sep 30 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-209 [OpenStack] multi-select prompt is not rendered as checkboxes RHCERT-210 [OpenStack] large text edit shown as simple text prompt.

* Tue Sep 29 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-117 Save command results in invalid URL

* Mon Sep 28 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-85 RHEL 6 option not available for Container Certification

* Fri Sep 25 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-205 close command does not clean results from the host
- RHCWE-518 Can not submit hardware test results
- PHCWE-518 Can not submit hardware test results

* Thu Sep 24 2015 Greg Nichols <gnichols@redhat.com>
- PHCERT-202
- RHCERT-198 [Openstack]Workflow confusion on rhcert2 for CWE and bugzilla ids
- PHCERT-198 [Openstack]Workflow confusion on rhcert2 for CWE and bugzilla ids

* Wed Sep 23 2015 Greg Nichols <gnichols@redhat.com>
- RHCERT-199 rhcert does not restrict workflow for local AKA scratch certs and results
- RHCERT-201 Cloud certifications downloaded from CWE are shown as Hardware""
-     RHCERT-196

* Tue Sep 22 2015 Greg Nichols <gnichols@redhat.com>
- 1264487 - Web UI: Product and Certification lists should display workflow and certification ID
- 1264487 - Web UI: Product and Certification lists should display workflow and certification ID
- 1264487 - Web UI: Product and Certification lists should display workflow and certification ID
- 1264487 - Web UI: Product and Certification lists should display workflow and certification ID

* Tue Sep 22 2015 Luke Brooker <lbrooker@redhat.com>
- Adjust sidebar even when it has a datatable in the body
- Fix failed labels so they display red and update label order

* Mon Sep 21 2015 Greg Nichols <gnichols@redhat.com>
- 1264487 - Web UI: Product and Certification lists should display workflow and certification ID

* Fri Sep 18 2015 Greg Nichols <gnichols@redhat.com>
- 1264487 - Web UI: Product and Certification lists should display workflow and certification ID
- 1264484 - Local Products should only use Make for Hardware

* Thu Sep 17 2015 Greg Nichols <gnichols@redhat.com>
- 1263842 - In debug mode, the WebUI host logging displays do not work
- 1263755 - WebUI needs to capture ecosystem when adding products and certifications

* Wed Sep 16 2015 Greg Nichols <gnichols@redhat.com>
- 1263842 - In debug mode, the WebUI host logging displays do not work
- fix merge
- move RHEL6 back to -backend package
- move RHEL6 back to -backend package
- 1263755 - WebUI needs to capture ecosystem when adding products and certifications

* Tue Sep 15 2015 Greg Nichols <gnichols@redhat.com>
- 1263462 - Container Certifications traceback after creation in the web UI

* Mon Sep 14 2015 Greg Nichols <gnichols@redhat.com>
- 1262980 - test attachments should be shown on the results table
- fix el6 provides
- move to -backend subpackage for RHEL6
- move to -backend subpackage for RHEL6
- move to -backend subpackage for RHEL6
- 1261195 - Clicking continue testing button results in 404
- 1262057 - A text input dialog appears instead of Yes/No buttons for hwcert/kdump test. 1261197 - Dropdown for selecting device for storage test is not a dropdown.
- 1261195 - Clicking continue testing button results in 404
- 1262048 - Incorrect links on 'Test Results' page. 1257954 - Manual test planning treats a device logical name as a UDI match 1255640 - Test suite run with all the type of the devices though only one was planed by a parameter udi/device.

* Fri Sep 11 2015 Greg Nichols <gnichols@redhat.com>
- i1227488 - stop button functionality incomplete
- 1262109 - clicking 'stop' button for a test causes AttributeError

* Thu Sep 10 2015 Greg Nichols <gnichols@redhat.com>
- 1262113 - Certifications downloaded from the catalog are shown as scratch
- 1262097 - Cloud Certifications downloaded from Catalog create Container certs on rhcert
- 1262084 - test run debug output on certification results listing page is shown when Enable Debug is not selected
- 1262080 - RHELOSP5 is needed in the product meta-data
- 1261937 - redhat-certification package should be split into redhat-certification-backend
- 1261937 - redhat-certification package should be split into redhat-certification-backend

* Wed Sep 09 2015 Greg Nichols <gnichols@redhat.com>
- 1261506 - redhat-certification 2.0 must be ported to django 1.6 for el6

* Tue Sep 08 2015 Greg Nichols <gnichols@redhat.com>
- 1261089 - debug checkbox will not 'uncheck'
- 1256809 - certification information must include details on Red Hat products being certified
- 1256809 - certification information must include details on Red Hat products being certified
- 1256809 - certification information must include details on Red Hat products being certified

* Fri Sep 04 2015 Ben Rose <brose@redhat.com>
- 1259984 - add RHEL7.2 to dropdown of products

* Thu Sep 03 2015 Greg Nichols <gnichols@redhat.com>
- 1256809 - certification information must include details on Red Hat products being certified
- 1256809 - certification information must include details on Red Hat products being certified

* Tue Sep 01 2015 Greg Nichols <gnichols@redhat.com>
- 1256809 - certification information must include details on Red Hat products being certified
- 1256809 - certification information must include details on Red Hat products being certified
- 1256809 - certification information must include details on Red Hat products being certified

* Mon Aug 31 2015 Greg Nichols <gnichols@redhat.com>
- 1256809 - certification information must include details on Red Hat products being certified
- 1256809 - certification information must include details on Red Hat products being certified
- 1256809 - certification information must include details on Red Hat products being certified

* Thu Aug 27 2015 Greg Nichols <gnichols@redhat.com>
- 1256809 - certification information must include details on Red Hat products being certified

* Wed Aug 26 2015 Greg Nichols <gnichols@redhat.com>
- 1256809 - certification information must include details on Red Hat products being certified

* Tue Aug 25 2015 Greg Nichols <gnichols@redhat.com>
- 1256809 - certification information must include details on Red Hat products being certified
- 1256809 - certification information must include details on Red Hat products being certified

* Fri Aug 21 2015 Greg Nichols <gnichols@redhat.com>
- fix broken product page, test host action
- new product and vendor XML, UI

* Mon Aug 17 2015 Greg Nichols <gnichols@redhat.com>
- rhcert-2

* Thu Aug 13 2015 Greg Nichols <gnichols@redhat.com>
- fill in products page status
- 1252571 - daemon and/or listener logs disappear

* Wed Aug 12 2015 Greg Nichols <gnichols@redhat.com>
- 1246226 - tests appear in plan multiple times after test run
- 1252998 - RHEL6 deprecation warning on md5 module
- 1243990 - stale pid files left behind after server shutdown
- 1252739 - Can not specify a IP address for test server when running rhcert-backend plan

* Tue Aug 11 2015 Greg Nichols <gnichols@redhat.com>
- 1181296 - rhcert listener doesn't always start

* Fri Aug 07 2015 Greg Nichols <gnichols@redhat.com>
- product fixes

* Wed Aug 05 2015 Greg Nichols <gnichols@redhat.com>
- incorporate product-based navigation design

* Tue Aug 04 2015 Greg Nichols <gnichols@redhat.com>
- fix submit of results
- implement delete and clean commands
- debug test running, host results

* Mon Aug 03 2015 Greg Nichols <gnichols@redhat.com>
- move http error to stderr
- bump to version 2.0

* Wed Jul 22 2015 Ben Rose <brose@redhat.com>
- BZ1228318 - update rhcert web UI to allow selection of RHEL 6.7 for certifications

* Fri Jul 17 2015 Greg Nichols <gnichols@redhat.com>
- remaining port - untested
- initial 2.0 build

* Tue Jul 14 2015 Greg Nichols <gnichols@redhat.com>
- move django to apache/mod_wsgi

* Tue Jul 07 2015 Ben Rose <brose@redhat.com>
- BZ1240674 - temporarily update urls in default xml

* Wed Jul 01 2015 Greg Nichols <gnichols@redhat.com>
- more proof-of-concept

* Mon Jun 29 2015 Greg Nichols <gnichols@redhat.com>
- initial proof-of-concept

* Wed Jun 24 2015 Greg Nichols <gnichols@redhat.com>
- 1235365 - rhcert error on results submission: can not submit results ()""
- 1230871 - FEAT: rhcert shipped as a container

* Tue Jun 23 2015 Greg Nichols <gnichols@redhat.com>
- 1235001 - traceback on adding cert if CWE returns no vendor, make, product response

* Mon Jun 22 2015 Greg Nichols <gnichols@redhat.com>
- 1233977 - /etc/rhcert-default.xml has wrong python version on RHEL6

* Mon Jun 22 2015 Praveen Kumar <prkumar@redhat.com>
- Add Entrypoint with default CMD - Add maintainer details - Reduce extra layer

* Fri Jun 19 2015 Greg Nichols <gnichols@redhat.com>
- 1232852 - FEAT: rhcert-backend server start|stop commands should work without systemd

* Thu Jun 18 2015 Greg Nichols <gnichols@redhat.com>
- 1232934 - add RHELSA to redhat-certification hardware certification options

* Wed Jun 17 2015 Greg Nichols <gnichols@redhat.com>
- fix respin calculation
- fix respin calculation
- 1230871 - FEAT: rhcert shipped as a container
- 1230871 - FEAT: rhcert shipped as a container
- 1230871 - FEAT: rhcert shipped as a container

* Wed Jun 17 2015 Ben Rose <brose@redhat.com>
- BZ1232721 - fix bug in return statement within Environment.showChangesFromDefault

* Tue Jun 16 2015 Greg Nichols <gnichols@redhat.com>
- 1230871 - FEAT: rhcert shipped as a container
- 1230871 - FEAT: rhcert shipped as a container
- 1230871 - FEAT: rhcert shipped as a container
- 1230871 - FEAT: rhcert shipped as a container

* Fri Jun 12 2015 Greg Nichols <gnichols@redhat.com>
- 1231336 - rhcert configuration (/etc/rhcert.xml) should be installed via package with defaults

* Thu Jun 11 2015 Greg Nichols <gnichols@redhat.com>
- 1228790 - rhcert should use provides when installing test-required packages
- 1230698 - redhat-certification has difficulties with networks without DNS support
- 1230698 - redhat-certification has difficulties with networks without DNS support
- 1230698 - redhat-certification has difficulties with networks without DNS support

* Thu Jun 11 2015 Praveen Kumar <prkumar@redhat.com>
- Pep8 fixes and quiet/debug mode with boolean options

* Wed May 27 2015 Greg Nichols <gnichols@redhat.com>
- 1225533 - KeyError python traceback un-set command option via Web UI

* Tue May 26 2015 Greg Nichols <gnichols@redhat.com>
- 1221633 - Key Error while adding a system in the certification tool

* Wed May 20 2015 Greg Nichols <gnichols@redhat.com>
- 1223514 - Links to interative prompts on Configuration and Certification pages are invalid
- 1217211 - demo test text file upload gives padding error
- 1179200 - Initialization of download from attachments hyperlink takes too much time to start.

* Tue May 19 2015 Greg Nichols <gnichols@redhat.com>
- 1216150 - test server forgotten after planning in network tests

* Mon May 18 2015 Greg Nichols <gnichols@redhat.com>
- 1208330 - The debug checkbox has no effect on the test run
- 1208330 - The debug checkbox has no effect on the test run

* Thu May 14 2015 Greg Nichols <gnichols@redhat.com>
- 1179358 - Test suite log message are not shown in web UI

* Tue May 12 2015 Greg Nichols <gnichols@redhat.com>
- 1212964 - editText doesnt work for LargeText in CLI

* Fri May 08 2015 Greg Nichols <gnichols@redhat.com>
- 1212966 - No persistent logs available for rhcert-backend daemon and listener

* Fri May 08 2015 Praveen Kumar <prkumar@redhat.com>
- Filter auto merge message to master

* Thu May 07 2015 Greg Nichols <gnichols@redhat.com>
- 1204952 - redhat-certification confused by RHELSA uname output
- 1201491 - KeyError when creating new hardware certification test - RHELSA
- 1214072 - use only SMBIOS Type 1 to query system manufacturer, make, and model

* Tue May 05 2015 Greg Nichols <gnichols@redhat.com>
- 1218622 - rhcert-backend submit does not prompt for certification type

* Mon May 04 2015 Greg Nichols <gnichols@redhat.com>
- 1215726 - traceback on rhcert-backend submit command

* Thu Apr 30 2015 Greg Nichols <gnichols@redhat.com>
- 1216963 - python-lxml not present as dependency for redhat-certification package

* Thu Apr 30 2015 Praveen Kumar <prkumar@redhat.com>
- Filter gerrit merge commits to get in changelog

* Mon Apr 20 2015 Greg Nichols <gnichols@redhat.com>
-  1213391 - display of attachments are not sorted properly by test name and run

* Fri Apr 17 2015 Greg Nichols <gnichols@redhat.com>
- 1212928 - Create New Results File error for host identified by IP address

* Fri Apr 17 2015 Shreyank Gupta <sgupta@redhat.com>
- Trello#7E480dVc: Support 6.x minor versions for cloud

* Wed Apr 15 2015 Greg Nichols <gnichols@redhat.com>
- 1212171 - Web Server can't manage clients without DNS support
- 1211343 - aarch64: python traceback on rhcert server after registering a system

* Fri Apr 10 2015 Greg Nichols <gnichols@redhat.com>
- 1210160 - FEAT: rhcert-backend command to extract test run attachments

* Thu Apr 09 2015 Praveen Kumar <prkumar@redhat.com>
- Add functionality to extract latest commit message to add in changelog

* Thu Apr 09 2015 Greg Nichols <gnichols@redhat.com>
- 1208881 - traceback on ImportError if test suite files deleted
- changelog correction

* Tue Apr 07 2015 Greg Nichols <gnichols@redhat.com>
- 1209438 - Error page appears for empty certification results when beginning testing

* Fri Apr 03 2015 Greg Nichols <gnichols@redhat.com>
- 1206619 - SUT can not be registered from the web UI if the server does not have a hostname

* Thu Apr 02 2015 Greg Nichols <gnichols@redhat.com>
- 1206619 - SUT can not be registered from the web UI if the server does not have a hostname

* Tue Mar 31 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1206619 - SUT can not be registered from the web UI if the server does not have a hostname

* Tue Mar 31 2015 Shreyank Gupta <sgupta@redhat.com>
- Trello#SohS9ihO: Add unicode support for logging.

* Wed Mar 25 2015 Greg Nichols <gnichols@redhat.com>
- 1205644 - RHEL6 cloud certification traceback on saving results file after openscap test:

* Wed Mar 25 2015 Shreyank Gupta <sgupta@redhat.com>
- Workaround for python 2.6 issue5762

* Tue Mar 24 2015 Greg Nichols <gnichols@redhat.com>
- 1205358 - Can't add hwcert/storage test to a plan manually due to python error
- 1205357 - need to enable cloud certifications

* Mon Mar 23 2015 Greg Nichols <gnichols@redhat.com>
- 1179290 - Not able to delete created certification

* Fri Mar 20 2015 Greg Nichols <gnichols@redhat.com>
- 1203244 - Test Scheduling does not always observe test priority

* Thu Mar 19 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- changelog
- 1201865 - FEAT: muti-select for web UI

* Wed Mar 18 2015 Greg Nichols <gnichols@redhat.com>
- 1203244 - Test Scheduling does not always observe test priority

* Mon Mar 16 2015 Greg Nichols <gnichols@redhat.com>
- 1201865 - FEAT: muti-select for web UI

* Thu Mar 12 2015 Ben Rose <brose@redhat.com>
- update changelog
- BZ1198764 - fix uname parsing for ARM RHEL

* Tue Mar 10 2015 Greg Nichols <gnichols@redhat.com>
- 1200386 - system registration message on server UI shows debug output

* Mon Mar 09 2015 Greg Nichols <gnichols@redhat.com>
- 1199650 - rhcert command should be removed.
- changelog
- 1199650 - rhcert command should be removed.
- 1199650 - rhcert command should be removed.
- 1199650 - Running rhcert with no parameters should display help message and exit

* Wed Mar 04 2015 Greg Nichols <gnichols@redhat.com>
- 1198751 - Server over-specifies redirects to http://<server hostname>
- 1198751 - Server over-specifies redirects to http://<server hostname>

* Tue Mar 03 2015 Greg Nichols <gnichols@redhat.com>
- 1198324 - Spelling error in OpenStack button on main web page
- 1198324 - Spelling error in OpenStack button on main web page
- 1198201 - Web UI Improvements
- 1198201 - Web UI Improvements
- 1198201 - Web UI Improvements
- 1198201 - Web UI Improvements
- 1198201 - Web UI Improvements

* Fri Feb 27 2015 Greg Nichols <gnichols@redhat.com>
- 1197215 - command-line container submission does not submit encrypted file

* Thu Feb 26 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1196828 - redhat-backend server start-up - spurious output
- 1196817 - The save command should save results directly to the local server

* Wed Feb 25 2015 Greg Nichols <gnichols@redhat.com>
- 1196370 - Interactive UI uses whole-page refresh polling for status

* Tue Feb 24 2015 Greg Nichols <gnichols@redhat.com>
- 1195744 - fv_network test fails http transfer test - can not find IP address seen by server
- 1195734 - fv_network test fails http transfer test - can not find IP address seen by server\n\nChange message for backwards compatability with hwcert-client 1.6.5.2 in fv_network

* Mon Feb 23 2015 Greg Nichols <gnichols@redhat.com>
- 1195291 - Build Errors: No images in image directory
- 1195311 - hardware and container certifications should be enabled

* Sat Feb 21 2015 Ben Rose <brose@redhat.com>
- [trello-aGu1SHpZ] - add support for ael7<alpha> kernel version product

* Fri Feb 20 2015 Greg Nichols <gnichols@redhat.com>
- public key update for container
- 1194782 - Interactive UI looses track of host during reboot for the kdump test

* Thu Feb 19 2015 Greg Nichols <gnichols@redhat.com>
- 1194021 - client daemon trackback on start after clean
- merge
- 1194313 - openstack bugzilla default URL should point to production, not stage

* Wed Feb 18 2015 Ben Rose <brose@redhat.com>
- updated changelog
- [trello-ul6LAdIN] - update regex and update parsing code a bit

* Wed Feb 18 2015 Greg Nichols <gnichols@redhat.com>
- update public key for container encryption

* Tue Feb 17 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1193647 - rhcert does not save updated results if incomplete tests are finished after reboot.
- 1193589 - Selection of device-specific tests doesn't work

* Mon Feb 16 2015 Greg Nichols <gnichols@redhat.com>
- 1193086 - fv_network test can not save test files during http transfer test
- remove add certifications button

* Sun Feb 15 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1192598 - rhcert needs to provide interfaces for network testing of hosts running hwcert-client 1.6.5.2

* Fri Feb 13 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1192542 - Failed fv tests reported as passing
- changelog
- 1192492 - Traceback on container image submisstion

* Wed Feb 11 2015 Greg Nichols <gnichols@redhat.com>
- fix traceback on adding a cert
- package install public key
- fix traceback on end of interactive test
- package install public key

* Tue Feb 10 2015 Greg Nichols <gnichols@redhat.com>
- obselete ccp-client
- changelog
- 1179283 - Unable to delete hosts in rhcert UI
- 1179283 - Unable to delete hosts in rhcert UI
- remove scratch certifications for container

* Wed Feb 04 2015 Greg Nichols <gnichols@redhat.com>
- fix rhcert-backend save container
- changelog
- fix rhcert-backend command line for saving and/or submitting container files

* Tue Feb 03 2015 Greg Nichols <gnichols@redhat.com>
- add bugzilla URL to config display
- fix comment
- add python-magic and m2crypto to Requires

* Mon Feb 02 2015 Greg Nichols <gnichols@redhat.com>
- correct workflow link to be bugilla for openstack, catalog for other types
- correct workflow link to be bugilla for openstack, catalog for other types
- traceback on container image submission, no key file
- changelog
- change compression detection to use python-magic, rather than the file command

* Fri Jan 30 2015 Greg Nichols <gnichols@redhat.com>
- fix traceback on first interactive run of a new results document
- change container image compression from bzip2 to gzip
- change container image compression from bzip2 to gzip

* Thu Jan 29 2015 Greg Nichols <gnichols@redhat.com>
- add compression of container images
- fix file handling of image keys

* Wed Jan 28 2015 Greg Nichols <gnichols@redhat.com>
- fix typo
- disable all but openstack certs

* Tue Jan 27 2015 Greg Nichols <gnichols@redhat.com>
- fix typo
- change attachment size limit to 128MB
- add calls to encrypt container images and manage random keys
- File encryption utility wrapper

* Tue Jan 20 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- fix logic allowing 7.1 hosts on 7.0-min certs
- disable cert types other than hardware and openstack

* Mon Jan 19 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- fix interactive test status reporting on certification page
- start listner last, after a sec

* Fri Jan 16 2015 Greg Nichols <gnichols@redhat.com>
- add promptFile for file uploading

* Thu Jan 15 2015 Greg Nichols <gnichols@redhat.com>
- fix schema validation errors\n https://trello.com/c/Y9iUtQwO

* Tue Jan 13 2015 Greg Nichols <gnichols@redhat.com>
- remove debug output
- Several UI improvements involving host status and relevant commands.
- changelog
- remove extrainious output statement

* Fri Jan 09 2015 Greg Nichols <gnichols@redhat.com>
- changelog
- 1179181 - New openstack certification asks to add hosts 2 times instead of 1
- changelog
- 1179305 - CWE API change needed for Vendor, Make, and Model

* Thu Jan 08 2015 Greg Nichols <gnichols@redhat.com>
- disable cloud certs
- changelog
- 1179305 - CWE API change needed for Vendor, Make, and Model

* Wed Jan 07 2015 Greg Nichols <gnichols@redhat.com>
- 1179363 - self.statusMessage does not output provided input message to the rhcert web UI

* Tue Jan 06 2015 Greg Nichols <gnichols@redhat.com>
- 1179305 - CWE API change needed for Vendor, Make, and Model

* Mon Jan 05 2015 Greg Nichols <gnichols@redhat.com>
- fix typo
- remove post script that opens 80 and 8009 in firewall

* Mon Dec 22 2014 Greg Nichols <gnichols@redhat.com>
- add openstack certification type
- changelog
- change listener to bind to current host name/ip
- set huge_tree=True when parsing XML to allow 24MB+ attachments

* Thu Dec 18 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback on listener daemon start
- add /etc/init.d/rhcert-backend to %files
- remove call to continue
- changelog
- Add continuation support for tests needing to reboot the system (https://trello.com/c/dg0xUQM9)
- https://trello.com/c/ijC1U52N

* Tue Dec 09 2014 Greg Nichols <gnichols@redhat.com>
- changelog
- Add support for /store URLS

* Wed Nov 26 2014 Guangze Bai <gbai@redhat.com>
- 1161648 - Put mandatory post tests at last

* Tue Nov 25 2014 Greg Nichols <gnichols@redhat.com>
- fix manual addition of tests
- 1164857 - hwcert-client confused by RHELSA contents in /etc/redhat-release

* Mon Nov 24 2014 Greg Nichols <gnichols@redhat.com>
- add requires for firewalld in %post

* Fri Nov 21 2014 Greg Nichols <gnichols@redhat.com>
- add RHEL 7.1
- open port 80 in firewall for RHEL7
- remove requires systemd for post in RHEL6
- remove requires systemd for post in RHEL6
- %post scriptlet errors: selinux and firewall

* Thu Nov 20 2014 Greg Nichols <gnichols@redhat.com>
- fix schema parsing errors, validation against current rhcert-generated results.xml

* Wed Nov 19 2014 Greg Nichols <gnichols@redhat.com>
- Scratch Certifications: ui hiding of id slot, tracking certification documents as scratch, removing link to Go To Workflow"."
- Version to 1.0, changelog
- remove hard-coded mimetypes, use mimetpyes module and attachment document attributes

* Wed Nov 19 2014 Shreyank Gupta <sgupta@redhat.com>
- Trello#lCQGfo3Z: Adding the mimetype and encoding of attachments into results.xml

* Tue Nov 18 2014 Shreyank Gupta <sgupta@redhat.com>
- Trello#KYcrrmLH: Adding the MD5sum of attachments into results.xml

* Mon Nov 17 2014 Greg Nichols <gnichols@redhat.com>
- draft schema

* Wed Nov 05 2014 Greg Nichols <gnichols@redhat.com>
- name change for hardware test suite

* Mon Nov 03 2014 Greg Nichols <gnichols@redhat.com>
- call CWE to get Vendor/Make/Product when existing certification is added

* Wed Oct 29 2014 Greg Nichols <gnichols@redhat.com>
- improve container image pair layout on certification page

* Wed Oct 22 2014 Shreyank Gupta <sgupta@redhat.com>
- Trello#0WJe9U5n: Passing fromlist=[] to __import__, to preserve global variables for individual tests.

* Fri Oct 17 2014 Greg Nichols <gnichols@redhat.com>
- move container image pair description, add defaulting, stub-in CWE xmlrpc call to get vendor, product
- interaction improvements on certification page

* Thu Oct 16 2014 Greg Nichols <gnichols@redhat.com>
- add stop/restart capability on hosts and interactive pages

* Wed Oct 15 2014 Greg Nichols <gnichols@redhat.com>
- revised certification page layout, added new and close operations

* Fri Oct 10 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback
- reset action selectors on back/cancel

* Thu Oct 09 2014 Greg Nichols <gnichols@redhat.com>
- implement results action selectors on certification pages
- change host status to use ajax/javascript polling

* Wed Oct 08 2014 Greg Nichols <gnichols@redhat.com>
- fix comment
- change package name to redhat-certification, merge in -server subpackage

* Tue Oct 07 2014 Greg Nichols <gnichols@redhat.com>
- fix bug where results aren't saved to the certification
- clean up certification UI

* Thu Oct 02 2014 Greg Nichols <gnichols@redhat.com>
- Minor UI edits on certification page for containers: https://trello.com/c/iteEktAp/46-minor-ui-edits

* Wed Oct 01 2014 Greg Nichols <gnichols@redhat.com>
- error checking for adding image pairs, deletion

* Tue Sep 30 2014 Greg Nichols <gnichols@redhat.com>
- container cert: add image info to image lists, provide time submitted

* Thu Sep 25 2014 Greg Nichols <gnichols@redhat.com>
- 1146461 - rhcert-client 0.3: rhcert-backend server start doesn't start NFS for kdump\n\n remove quotes around subcommand

* Wed Sep 24 2014 Greg Nichols <gnichols@redhat.com>
- 1146099 - rhcert-client 0.3: traceback on rhcert-backend register

* Tue Sep 23 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback on attempts to submit container images

* Mon Sep 22 2014 Greg Nichols <gnichols@redhat.com>
- add certificationIndex.xml to %files
- add vendor/product and image descriptions
- move cert types to separate xml file:\n /usr/lib/<python>/site-packages/rhcert/info/certificationIndex.xml
- rhcert store changed to organize results files by cert type/id

* Thu Sep 18 2014 Greg Nichols <gnichols@redhat.com>
- Add status feedback on testing progress for both interactive and non-interactive testing

* Wed Sep 17 2014 Greg Nichols <gnichols@redhat.com>
- fix deletion of empty results, add certification page refresh for non-container certs

* Tue Sep 16 2014 Greg Nichols <gnichols@redhat.com>
- fix bug preventing saving of results files, and clean-up of empty ones
- fix dropbox download url
- fix initial testing flow - show test plan, then clean it up later
- fix container upload missing or corrupted files trello OKdgVQIz

* Mon Sep 15 2014 Greg Nichols <gnichols@redhat.com>
- fix bugs in initial test run
- test host selection UI improvements
- Add collection of vendor, make, and model to the Add Certification" dialog for hardware certifications."
- implement delete for test results

* Wed Sep 10 2014 Greg Nichols <gnichols@redhat.com>
- Support multi-line prompts/message in listener/interactive Tasks

* Tue Sep 09 2014 Greg Nichols <gnichols@redhat.com>
- Change to docker image upload catalog XMLRPC call

* Mon Sep 08 2014 Greg Nichols <gnichols@redhat.com>
- fix interactive web UI

* Fri Sep 05 2014 Greg Nichols <gnichols@redhat.com>
- fix web prompting bugs, add selections, interactive demo
- interactive tests - initial implementation complete

* Thu Sep 04 2014 Greg Nichols <gnichols@redhat.com>
- interactive tests part2: bug fixes for calling interactive tests, displaying system status
- interactive test support (partial)

* Wed Sep 03 2014 Greg Nichols <gnichols@redhat.com>
- fix container image upload

* Tue Sep 02 2014 Greg Nichols <gnichols@redhat.com>
- fix expression typo
- fix duplicate registration of test classes

* Fri Aug 29 2014 Greg Nichols <gnichols@redhat.com>
- Revise test suite planning to eliminate name conflicts

* Mon Aug 25 2014 Luke Brooker <lbrooker@redhat.com>
- update summary results with new template

* Thu Aug 21 2014 Greg Nichols <gnichols@redhat.com>
- add reinitialization of SUT for cert type and/or ID changes

* Wed Aug 20 2014 Greg Nichols <gnichols@redhat.com>
- fix traceback for Add Host via cert ID
- add certification type information to the Tests page

* Tue Aug 19 2014 Greg Nichols <gnichols@redhat.com>
- improve certification presentation, and test run flow
- improve listener feedback from test runs

* Mon Aug 18 2014 Greg Nichols <gnichols@redhat.com>
- change back to using ip address for client of image upload
- remove extra <table> tag
- add submit command for container certs

* Mon Aug 18 2014 Luke Brooker <lbrooker@redhat.com>
- Fix breaking certifications results table
- Add rcue assets and update Makefiles and .conf accordingly
- Add rcue template changes and merge. Still need to add the assets for the templates to work

* Sun Aug 17 2014 Greg Nichols <gnichols@redhat.com>
- add back results.css to install

* Fri Aug 15 2014 Greg Nichols <gnichols@redhat.com>
- fix redirect to visit new cert after add
- selinux setting in %post to allow httpd to ftp
- fix container save from rhcert-backend
- add error reporting to ftp push

* Thu Aug 14 2014 Greg Nichols <gnichols@redhat.com>
- add submit and save commands to backend for container files
- container image upload
- add ftp dropbox url/host

* Wed Aug 13 2014 Greg Nichols <gnichols@redhat.com>
- add redirects to smooth adding certs and running tests
- container certification image submission

* Tue Aug 12 2014 Greg Nichols <gnichols@redhat.com>
- move store filesystem code to its own class
- docker AKA container cert image upload
- fix firewall conditional

* Mon Aug 11 2014 Greg Nichols <gnichols@redhat.com>
- fix incomplete settings for continue runs
- restrict firewall config to RHEL7

* Thu Aug 07 2014 Greg Nichols <gnichols@redhat.com>
- add %post to open 8009 in firewall
- server selinux and port settings
- Add version-release info to page footers
- fix foreground mode to run other process correctly

* Wed Aug 06 2014 Greg Nichols <gnichols@redhat.com>
- Fix garbled task output, remove redundant code for writing to it.
- Change listener and daemon foreground mode to run other process in background.

* Tue Aug 05 2014 Greg Nichols <gnichols@redhat.com>
- Server-driven SUT registration

* Thu Jul 31 2014 Greg Nichols <gnichols@redhat.com>
- Add test run request feedback and host status.
- add RHEL 6.6

* Thu Jul 31 2014 Shreyank Gupta <sgupta@redhat.com>
- Adds RawIOBase capabilities to Log object. sys.stdout retains io attributes.

* Wed Jul 30 2014 Greg Nichols <gnichols@redhat.com>
- Fix initial testing flow to install the test suite packages required by the test plan

* Mon Jul 28 2014 Greg Nichols <gnichols@redhat.com>
- fix respin numbering to be rhel-major-version-specific

* Fri Jul 11 2014 Greg Nichols <gnichols@redhat.com>
- fix clean to observer --mode auto
- Fix sorting and display of tests by path

* Thu Jul 10 2014 Greg Nichols <gnichols@redhat.com>
- fix /etc/rhcert.xml defaults to get correct python version site-packages path
- have listener use hostname from socket

* Wed Jul 09 2014 Greg Nichols <gnichols@redhat.com>
- fix rpm build re: web store
- New prototype UI to create certifications. Add prototype interface for creating new (or existing) certifications on the server, and choosing hosts to begin testing.

* Wed Jul 02 2014 Greg Nichols <gnichols@redhat.com>
- Fix build for RHEL6 build portability for python versions in spec file and Makefile conditional code for systemctl vs. server to start httpd fixed bug with initialization of process ID tracking files

* Tue Jul 01 2014 Greg Nichols <gnichols@redhat.com>
- Initial implementation of listener client service and server/web-driven testing.

* Fri Jun 27 2014 Greg Nichols <gnichols@redhat.com>
- remove unncecessary requires from spec
- extend attr setting on web directory

* Thu Jun 26 2014 Greg Nichols <gnichols@redhat.com>
- only install Makefile and .c in test directory
- set output file in test parameters before run
- change test return value to True/False

* Wed Jun 25 2014 Greg Nichols <gnichols@redhat.com>
- fix build
- fix build
- fix build
- fix build
- fix build
- fix selinux
- fix selinux
- fix network test

* Mon Jun 23 2014 Greg Nichols <gnichols@redhat.com>
- set selinux for server files
- fix packaging
- fix packaging
- move installation of libs to python2.7/site-packages
- move installation of libs to python2.7/site-packages
- move installation of libs to python2.7/site-packages

* Fri Jun 20 2014 Greg Nichols <gnichols@redhat.com>
- add layout and headers
- add headers, cert ID output
- fix NewRun header for multiple runs
- improve layout, add file sizes
- fix PASS/FAIL links for device tests
- fix Download link and allow direct results serving via /rhcert-results/... urls
- add more to demo tests

* Thu Jun 19 2014 Greg Nichols <gnichols@redhat.com>
- fix mimetypes for xml
- remove device logging
- added simple demo suite
- fix page title and link for logo
- change save page to return text when saving files, rather than html
- set server version to 0.1
- allow response to be written to a buffer
- set hostname to socket.gethostname
- fix test parameter copying during test planning
- add indications of interactive and mandatory tests in new run column of summary sheet
- implement server status response

* Wed Jun 18 2014 Greg Nichols <gnichols@redhat.com>
- remove aliases for compatability with pre-1.7.0.1 hwcert-server
- initial run-from-server code

* Mon Jun 16 2014 Greg Nichols <gnichols@redhat.com>
- change run to runCommand

* Fri Jun 13 2014 Greg Nichols <gnichols@redhat.com>
- move to hwcert suite
- sort certifications by product-release
- delete temporart doc when registering

* Thu Jun 12 2014 Greg Nichols <gnichols@redhat.com>
- fix build script
- port of cgi to wsgi

* Fri Jun 06 2014 Greg Nichols <gnichols@redhat.com>
- added submit function to server, also added XSLT-based filtering for faster results loading

* Tue Jun 03 2014 Greg Nichols <gnichols@redhat.com>
- fix build script
- add build scripting
- replace iwconfig with iw
- move kernelInfo to hwcert-suite

* Mon Jun 02 2014 Greg Nichols <gnichols@redhat.com>
- Add xsl to server files

* Fri May 30 2014 Greg Nichols <gnichols@redhat.com>
- fix planner to use suite directory
- exclude tools dir from sources
- add requires mod_wsgi
- remove requires for rhcert-client-info

* Thu May 29 2014 Greg Nichols <gnichols@redhat.com>
- set to version 0.1
- add register command, fix file saving, add xslt render

* Wed May 28 2014 Greg Nichols <gnichols@redhat.com>
- move server to wsgi

* Fri May 23 2014 Greg Nichols <gnichols@redhat.com>
- rename server->listener and web->server

* Thu May 22 2014 Greg Nichols <gnichols@redhat.com>
- initial work to replace daemon and named pipes with XMLRPC listener.py

* Mon May 19 2014 Greg Nichols <gnichols@redhat.com>
- remove debug prints

* Fri May 16 2014 Greg Nichols <gnichols@redhat.com>
- fix rpm building

